Tuesday, May 12, 2009

Eclipse on Mac OS X

I don't know why Java support is so bad on Mac OS X. If you want to run Eclipse on Mac you may need to finagle it a bit. When I first tried to run Eclipse, I go the following error:
_NSJVMLoadLibrary: NSAddLibrary failed for /System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Libraries/libjvm.dylib

To fix this, I first followed this blog post:

But, unfortunately I didn't have 1.5.0 installed. After a lot of googling, I found that Update 4 (available to registered developers through ADC) includes JDK 1.5.0

So, if you are having trouble getting Eclipse running, install Java for Mac OS X Update 4.